Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.util
Class Queue

`java.lang.Object
oracle.xml.util.Queue`

      public class Queue

extends java.lang.Object

Constructor Summary
`Queue(int size)`

Method Summary
`void` `insert(java.lang.Object o)`
`boolean` `isEmpty()`
`boolean` `isFull()`
`java.lang.Object` `peek()`
`java.lang.Object` `peek(int offset)`
`java.lang.Object` `remove()`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Queue

    public Queue(int size)

Method Detail

### insert

    public void insert(java.lang.Object o)

### remove

    public java.lang.Object remove()

### peek

    public java.lang.Object peek()

### peek

    public java.lang.Object peek(int offset)

### isEmpty

    public boolean isEmpty()

### isFull

    public boolean isFull()

### size

    public int size()

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.